Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator.routines.checkdigit
Class CheckDigitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.validator.routines.checkdigit.CheckDigitException

All Implemented Interfaces:
  Serializable

    public class CheckDigitException

extends Exception

Check Digit calculation/validation error.

Since:
  Validator 1.4
Version:
  $Revision: 1227719 $ $Date: 2012-01-05 18:45:51 +0100 (Thu, 05 Jan 2012) $
See Also:
  Serialized Form

Constructor Summary
`CheckDigitException()` Construct an Exception with no message.
`CheckDigitException(String msg)` Construct an Exception with a message.
`CheckDigitException(String msg, Throwable cause)` Construct an Exception with a message and the underlying cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckDigitException

    public CheckDigitException()

  Construct an Exception with no message.

### CheckDigitException

    public CheckDigitException(String msg)

  Construct an Exception with a message.

  Parameters:
    `msg` - The error message.

### CheckDigitException

    public CheckDigitException(String msg,
                               Throwable cause)

  Construct an Exception with a message and the underlying cause.

  Parameters:
    `msg` - The error message.
    `cause` - The underlying cause of the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.